Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.event.impl
Class RemoteCommitProviderImpl

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.event.impl.RemoteCommitProviderImpl

All Implemented Interfaces:
  RemoteCommitProvider

Direct Known Subclasses:
  JMSRemoteCommitProvider, SingleJVMRemoteCommitProvider, TCPRemoteCommitProvider

public abstract class RemoteCommitProviderImpl
extends Object
implements RemoteCommitProvider

Abstract implementation of `RemoteCommitProvider` that listens for changes made via the `TransactionCommitListener` interface and propagates those changes to remote DistributedCommitProviders.

Since:
  2.5.0

Field Summary
`protected PersistenceManagerFactoryImpl` | `_factory`
`protected org.apache.commons.logging.Log` | `_log`

Constructor Summary
`RemoteCommitProviderImpl()`

Method Summary
`protected void` | `receivedCommitInfo(Set adds, Set updates, Set deletes)` Notifies all `RemoteCommitListener` objects associated with this provider's PersistenceManagerFactory of the changes sent by a remote provider.
`void` | `setPersistenceManagerFactory(PersistenceManagerFactoryImpl factory)` Set the `PersistenceManagerFactoryImpl` to which this provider should transmit commit information.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.runtime.event.RemoteCommitProvider
`broadcastCommitInfo, close`

Field Detail

### _log

    protected org.apache.commons.logging.Log _log

### _factory

    protected PersistenceManagerFactoryImpl _factory

Constructor Detail

### RemoteCommitProviderImpl

    public RemoteCommitProviderImpl()

Method Detail

### receivedCommitInfo

    protected void receivedCommitInfo(Set adds,
                                      Set updates,
                                      Set deletes)

  Notifies all `RemoteCommitListener` objects associated with this provider's PersistenceManagerFactory of the changes sent by a remote provider.

  `adds`, `updates`, and `deletes` contain object IDs of persistence-capable objects that were involved in a remote transaction.

### setPersistenceManagerFactory

    public void setPersistenceManagerFactory(PersistenceManagerFactoryImpl factory)

  Description copied from interface: `RemoteCommitProvider`
  Set the `PersistenceManagerFactoryImpl` to which this provider should transmit commit information.
  Specified by:
    `setPersistenceManagerFactory` in interface `RemoteCommitProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.